=== debian/changelog ===
trac (1.5.3+dfsg-1ubuntu0.1) jammy; urgency=medium

  * Fix crash on startup (LP: #2024325)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 29 Jan 2024 21:16:53 +0000

trac (1.5.3+dfsg-1) unstable; urgency=medium

  * Development maintenance release:
    - (May 9, 2021) Fixed several regressions and compatibility issues
      in the Python 3 conversion.
      https://trac.edgewall.org/wiki/1.5/TracChangeLog#a1.5.3

 -- Martin <debacle@debian.org>  Mon, 10 May 2021 08:13:27 +0000
