## trac 1.5.4

=== .github/requirements.txt ===
Jinja2
selenium
pytidylib
Babel<2.10
Pygments
docutils
textile
pytz
PyMySQL
cryptography
psycopg2
passlib; python_version>='3.13' or python_version<'3.7' or platform_system=='Darwin' or platform_system=='Windows'
bcrypt; python_version>='3.13' or python_version<'3.7' or platform_system=='Darwin' or platform_system=='Windows'
