=== debian/changelog ===
trac (1.5.4-1) unstable; urgency=medium

  * Development maintenance release:
    - (Feb 11, 2023) Fixed several compatibility issues with Python 3
      releases and Jinja2.
      https://trac.edgewall.org/wiki/1.5/TracChangeLog#a1.5.4
      (Closes: #1030413)

 -- Martin <debacle@debian.org>  Mon, 13 Feb 2023 12:18:55 +0000
