=== .github/requirements.txt ===
Jinja2
multipart; python_version>='3.11'
aiosmtpd; python_version>='3.10'
selenium!=4.10.0
pytidylib
Babel<2.10
Pygments
docutils
textile
pytz
PyMySQL
cryptography
psycopg2
passlib; python_version>='3.11' or python_version<'3.7' or platform_system=='Darwin' or platform_system=='Windows'
bcrypt; python_version>='3.11' or python_version<'3.7' or platform_system=='Darwin' or platform_system=='Windows'
