=== debian/changelog ===
trac (1.6-4) unstable; urgency=medium

  * Team upload.
  * Replace dependency on transitional python3-tz with new python3-pytz
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is now the default

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Nov 2025 16:08:39 +0100

trac (1.6-3) unstable; urgency=medium

  * Team upload.
  * (Build-)depend on python3-multipart, needed for Python 3.13 (closes:
    #1082321).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Dec 2024 11:02:54 +0000

trac (1.6-2) unstable; urgency=medium

  * bump debhelper-compat to 13
  * drop obsolete artefact deletion in debian/rules

 -- Martin <debacle@debian.org>  Sun, 19 Nov 2023 15:56:54 +0000

trac (1.6-1) unstable; urgency=medium

  * New upstream version (Closes: #988462)

 -- Martin <debacle@debian.org>  Thu, 28 Sep 2023 07:45:26 +0000
