=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: trac
 Section: web
 Priority: optional
-Build-Depends: debhelper-compat (= 11)
-Build-Depends-Indep: dh-python,
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Indep: dh-sequence-python3,
                      git,
                      python3,
                      python3-babel,
                      python3-docutils,
                      python3-jinja2,
                      python3-lxml,
+                     python3-multipart,
                      python3-pygments,
                      python3-selenium,
                      python3-setuptools,
                      python3-subversion,
                      python3-textile,
                      python3-tidylib,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Martin <debacle@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Standards-Version: 4.1.3
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/trac
 Vcs-Git: https://salsa.debian.org/python-team/packages/trac.git
 Homepage: http://trac.edgewall.com
@@ -39,8 +38,8 @@
             python3-babel,
             python3-docutils,
             python3-pygments,
+            python3-pytz,
             python3-subversion,
-            python3-tz
 Suggests: libapache2-mod-wsgi,
           python3-psycopg2,
           python3-textile,
